[Fusionforge-commits] r14736 - branches/Branch_5_1/src/common/include

Thorsten Glaser mirabilos at fusionforge.org
Mon Oct 31 15:16:50 CET 2011


Author: mirabilos
Date: 2011-10-31 15:16:50 +0100 (Mon, 31 Oct 2011)
New Revision: 14736

Modified:
   branches/Branch_5_1/src/common/include/FusionForge.class.php
Log:
fix debpkg versioning; I think require_once always operates on global scope?


Modified: branches/Branch_5_1/src/common/include/FusionForge.class.php
===================================================================
--- branches/Branch_5_1/src/common/include/FusionForge.class.php	2011-10-26 14:13:53 UTC (rev 14735)
+++ branches/Branch_5_1/src/common/include/FusionForge.class.php	2011-10-31 14:16:50 UTC (rev 14736)
@@ -23,6 +23,9 @@
 
 require_once $gfcommon.'include/Error.class.php';
 
+// Some variables are overridden if installed from a package
+ at include_once $gfcommon.'pkginfo.inc.php';
+
 class FusionForge extends Error {
 
 	var $software_name ;
@@ -33,11 +36,10 @@
 	 *	FusionForge - FusionForge object constructor
 	 */
 	function FusionForge() {
+		global $forge_pkg_name, $forge_pkg_version, $forge_pkg_type;
+
 		$this->Error();
 
-		// Some variables are overridden if installed from a package
-		@include_once $gfcommon.'pkginfo.inc.php';
-
 		if (isset($forge_pkg_name)) {
 			$this->software_name = $forge_pkg_name;
 		} else {




More information about the Fusionforge-commits mailing list